<nz-tabset>
  <nz-tab [nzTitle]="world" (nzClick)="load()">
    <ng-template #world>
      <img src="../../../assets/img/icons/worldwide.png" height="15px">
      {{'Home.World' | translate}}
    </ng-template>
    <ng-container *ngTemplateOutlet="eventsListTemplate"></ng-container>
  </nz-tab>
  <nz-tab [nzTitle]="Country" (nzClick)="load(true)">
    <ng-template #Country>
      <img src="../../../assets/img/icons/flag.png" height="18px">
      {{'Economy.Market.Country' | translate}}
    </ng-template>
    <ng-container *ngTemplateOutlet="eventsListTemplate"></ng-container>
  </nz-tab>
</nz-tabset>

<ng-template #eventsListTemplate>
  <nz-list nzItemLayout="vertical" [nzLoading]="isLoading">
    <nz-list-item *ngFor="let item of list">
      <nz-list-item-meta>
          <nz-list-item-meta-description>
            <img *ngIf="item.rawType === 'NewBattle'" src="../../../assets/img/icons/swords.png" height="20px">
            <img *ngIf="item.rawType === 'DeclareWar'" src="../../../assets/img/icons/DeclareWar.png" height="20px">
            <img *ngIf="item.rawType === 'RegionLost' || item.rawType === 'RegionCaptured'"
              src="../../../assets/img/icons/Region.png" height="20px">
              <img
              *ngIf="['NewPresident','NewCongress'].includes(item.rawType)"
              src="../../../assets/img/icons/white-house.png" height="20px">
            <img
              *ngIf="['ChangeFlag', 'CitizenFee', 'MinimalWage', 'PrintCurrency','ProposePeace','TradeAgreement','TradeEmbargo', 'RevokeCitizenship', 'ReopenBorders','CloseBorder', 'CreateConstruction', 'CreateNationalOrganization', 'NewspaperCensorship', 'WelcomeMessage', 'ReopenBorder', 'TaxChange', 'TransferLeadership', 'WithdrawCurrency'].includes(item.rawType)"
              src="../../../assets/img/icons/gave.png" height="20px">
            {{ item.type | translate}}
          </nz-list-item-meta-description>
      </nz-list-item-meta>
      <div [innerHtml]="item.text"></div>
      <nz-list-item-extra>
        <a [href]="getLink(item)">
          <button nz-button nzShape="round" nzSize="small">
            <span *ngIf="item.data.Status === 'Pending'" nz-icon nzType="question-circle" nzTheme="outline"></span>
            <span *ngIf="item.data.Status === 'Accepted'" nz-icon nzType="check-circle" style="color: green;"
              nzTheme="outline"></span>
            <span *ngIf="item.data.Status === 'Rejected'" nz-icon nzType="close-circle" style="color: red;"
              nzTheme="outline"></span>
          </button>
        </a>
      </nz-list-item-extra>
    </nz-list-item>
  </nz-list>
</ng-template>
